import sys
import os
import numpy as np
import time
from numpy.random import randn
sys.path.insert(0, os.path.abspath(os.path.join(os.path.dirname(__file__), '..')))
from zetane import context as ztn

zcontext = ztn.Context().launch()
zcontext.connect()
target_updates_per_second = 10.0
framecount = 0


zPieChart = zcontext.pie_chart()
zPieChart.position(0, 15, -5)
label_list = ['Your', 'Data', 'Would', 'Look', 'Good', 'Here']
zPieChart.pielabels(label_list)

#create chart
zchart = zcontext.chart()
zchart.color(0.6, .5, .7)
zchart.position(-10, 0, -10)
zchart.smooth()
#create 3D chart


#z3Dchart = zcontext.chart3D()
#z3Dchart.position(-40, 0, -10)


#create dial
zDial = zcontext.dial()
zDial.position(-10, 15, -5)
zDial.scale(2,2,2)

while zcontext.running():
  zDial.set_max(10)
  zDial.set_indicator_value(framecount % 11)
  zDial.update()

  data_points = [x * 1.2 for x in randn(6).tolist()]
  labeled_points = {}
  counter = 0
  for label in label_list:
      labeled_points[label] = data_points[counter]
      counter+=1
  zPieChart.pielabels(labeled_points)
  zPieChart.update()

  # npy3D = np.random.rand(10,10,3)
  # z3Dchart.set_3Dpoints(npy3D)
  #z3Dchart.update()

  chart_points = [x * 1.2 for x in randn(40).tolist()]
  zchart.points(chart_points)
  zchart.update()

  time.sleep(1.0 / target_updates_per_second)
  framecount += 1

# Exit
print("Zetane session ended. Goodbye!")
