import unittest
from zetane import context as ztn

class TestSaveLoad(unittest.TestCase):

    def setUp(self):
        self.zcontext = ztn.Context()
        self.target_updates_per_second = 5.0
        self.framecount = 0

    def tearDown(self):
        self.zcontext.clear_universe()
        self.framecount = 0

    def test_saveload(self):

        def save(zcontext):
            ztext1 = zcontext.text(text="WEE").position(y=0.3).update()
            ztext2 = zcontext.text(text="WEEWOOO").update()
            ztext3 = zcontext.text(text="WOOO").position(y=-0.3).update()
            zcontext.save(R'data/saveload_test.ztn')

        def load(zcontext):
            loaded_ctxt = zcontext.load(R'data/saveload_test.ztn')

            time.sleep(2)

            ztext1, ztext2, ztext3 = loaded_ctxt.get_objects_sorted_by_name()
            ztext1.color((1, 0, 0)).update()
            time.sleep(2)
            ztext2.color((0, 1, 0)).update()
            time.sleep(2)
            ztext3.color((0, 0, 1)).update()

        save(self.zcontext)
        load(self.zcontext)
